make it possible to configure grub background color in a usable way

Bug #696915 reported by Philip Muškovac on 2011-01-03
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Medium
Colin Watson
Natty
Medium
Colin Watson
plymouth (Ubuntu)
Medium
Colin Watson
Natty
Medium
Colin Watson

Bug Description

Binary package hint: grub2

Recently the grub background was set to look aubergine with

        # Set an aubergine background.
        echo "${1}if background_color 44,0,30; then"
        echo "${1} clear"
        echo "${1}fi"

that might make sense from an Ubuntu viewpoint, but in Kubuntu this looks really out of place, and the only way to revert this is to remove or comment the lines out. (or comment the function call at the bottom out)
Trying to override this in another config file will still cause the background to flash aubergine for a moment which doesn't look better.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: grub-pc 1.99~20101221-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.37-11.25-generic 2.6.37-rc7
Uname: Linux 2.6.37-11-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon Jan 3 19:07:06 2011
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LANGUAGE=en_US.UTF-8
SourcePackage: grub2

Philip Muškovac (yofel) wrote :
Colin Watson (cjwatson) on 2011-01-04
Changed in grub2 (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
milestone: none → natty-alpha-3
Martin Pitt (pitti) on 2011-03-01
Changed in grub2 (Ubuntu Natty):
milestone: natty-alpha-3 → ubuntu-11.04-beta-1
Felix Geyer (debfx) wrote :

Maybe this could be handled with the update-alternatives system like the newt palette?

tags: added: kubuntu
Colin Watson (cjwatson) wrote :

Possibly. It will take a bit of rearrangement, so pushing out to final.

Changed in grub2 (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04
Colin Watson (cjwatson) on 2011-04-15
Changed in plymouth (Ubuntu Natty):
status: New → Triaged
importance: Undecided → Medium
milestone: none → ubuntu-11.04
Changed in grub2 (Ubuntu Natty):
assignee: nobody → Colin Watson (cjwatson)
Changed in plymouth (Ubuntu Natty):
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) wrote :

I've changed plymouth-theme-ubuntu-logo to add /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.grub, which is linked to the default.plymouth alternative like this:

        update-alternatives \
                --install /lib/plymouth/themes/default.plymouth default.plymouth \
                /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth 100 \
                --slave /lib/plymouth/themes/default.grub default.plymouth.grub \
                /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.grub

I've left derivatives alone, but they can emulate this on their own schedule. Note that Plymouth .script files represent RGB values as decimals between 0 and 1; multiply by 256 and round to get values to pass to the GRUB background_color command.

Changed in plymouth (Ubuntu Natty):
status: Triaged → Fix Committed
Changed in grub2 (Ubuntu Natty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-2ubuntu22

---------------
plymouth (0.8.2-2ubuntu22) natty; urgency=low

  * Install slave alternative for plymouth-theme-ubuntu-logo, telling GRUB
    to set an aubergine background (LP: #696915).
 -- Colin Watson <email address hidden> Fri, 15 Apr 2011 14:35:17 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 1.99~rc1-13ubuntu1

---------------
grub2 (1.99~rc1-13ubuntu1) natty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust for default Ubuntu boot options ("quiet splash").
    - Default to hiding the menu; holding down Shift at boot will show it.
    - Set a monochromatic theme and an aubergine background for Ubuntu.
    - Apply Ubuntu GRUB Legacy changes to legacy update-grub script.
    - Fix backslash-escaping in merge_debconf_into_conf.
    - Remove "GNU/Linux" from default distributor string.
    - Add crashkernel option.
    - Bypass menu unless other OSes are installed or Shift is pressed.
    - Allow Shift to interrupt 'sleep --interruptible'.
    - Reduce visual clutter in normal mode.
    - Remove verbose messages printed before reading configuration.
    - Suppress kernel/initrd progress messages, except in recovery mode.
    - Handle filesystems loop-mounted on file images.
    - Ignore devices loop-mounted from files in Linux grub.d scripts.
    - Show the boot menu if the previous boot failed.
    - Don't generate device.map during grub-install or grub-mkconfig.
    - Adjust upgrade version checks for Ubuntu.
    - Suppress "GRUB loading" message unless Shift is held down.
    - Adjust versions of grub-doc and grub-legacy-doc conflicts.
    - Fix LVM/RAID probing in the absence of /boot/grub/device.map.
    - Look for .mo files in /usr/share/locale-langpack first.
    - Build-depend on qemu-kvm rather than qemu-system for grub-pc tests.
    - Add a grub-rescue-efi-amd64 package.
    - On Wubi, just update wubildr rather than asking for an install device.
    - Check hardware support before using gfxpayload=keep.
    - Put second and subsequent Linux menu entries in a submenu.
    - Preferred resolution detection for VBE.
    - Set vt.handoff=7 for smooth handoff to kernel graphical mode.
    - Add grub-mount-udeb, containing just grub-mount.
  * Use /lib/plymouth/themes/default.grub if it exists, rather than
    hardcoding an aubergine background (LP: #696915).

grub2 (1.99~rc1-13) unstable; urgency=low

  * Cherry-pick from upstream:
    - Use correct limits for mips initrd.
  * Run grub-install on install or upgrade of grub-yeeloong.
  * Update branch_fuse.patch:
    - Tell FUSE to run single-threaded, since GRUB code is not thread-safe
      (LP: #756297).
 -- Colin Watson <email address hidden> Fri, 15 Apr 2011 14:37:43 +0100

Changed in grub2 (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in plymouth (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers